# DataExchange
TKIGES
IGESAppli

# IGESAppli_PWBArtworkStackup Class Reference

defines PWBArtworkStackup, Type <406> Form <25>
in package IGESAppli
Used to communicate which exchange file levels are to
be combined in order to create the artwork for a
printed wire board (PWB). This property should be
attached to the entity defining the printed wire
assembly (PWA) or if no such entity exists, then the
property should stand alone in the file.

`#include <IGESAppli_PWBArtworkStackup.hxx>`

Inheritance diagram for IGESAppli_PWBArtworkStackup:

[legend]

## Public Member Functions

Standard_EXPORT | IGESAppli_PWBArtworkStackup ()
Standard_EXPORT void | Init (const Standard_Integer nbPropVal, const Handle(TCollection_HAsciiString)&anArtIdent, const Handle(TColStd_HArray1OfInteger)&allLevelNums)
| This method is used to set the fields of the class PWBArtworkStackup - nbPropVal : number of property values - anArtIdent : Artwork Stackup Identification - allLevelNums : Level Numbers .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns number of property values
Standard_EXPORT Handle_TCollection_HAsciiString | Identification () const
| returns Artwork Stackup Identification
Standard_EXPORT Standard_Integer | NbLevelNumbers () const
| returns total number of Level Numbers
Standard_EXPORT Standard_Integer | LevelNumber (const Standard_Integer Index) const
| returns Level Number raises exception if Index <= 0 or Index > NbLevelNumbers
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbPropertyValues
Handle_TCollection_HAsciiString | theArtworkStackupIdent
Handle_TColStd_HArray1OfInteger | theLevelNumbers

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_PWBArtworkStackup::IGESAppli_PWBArtworkStackup | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESAppli_PWBArtworkStackup::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Handle_TCollection_HAsciiString IGESAppli_PWBArtworkStackup::Identification | ( |  | ) | const

Standard_EXPORT void IGESAppli_PWBArtworkStackup::Init | ( | const Standard_Integer | nbPropVal,
|  | const Handle(TCollection_HAsciiString)& | anArtIdent,
|  | const Handle(TColStd_HArray1OfInteger)& | allLevelNums
| ) |

Standard_EXPORT Standard_Integer IGESAppli_PWBArtworkStackup::LevelNumber | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESAppli_PWBArtworkStackup::NbLevelNumbers | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_PWBArtworkStackup::NbPropertyValues | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString IGESAppli_PWBArtworkStackup::theArtworkStackupIdent `[private]`

Handle_TColStd_HArray1OfInteger IGESAppli_PWBArtworkStackup::theLevelNumbers `[private]`

Standard_Integer IGESAppli_PWBArtworkStackup::theNbPropertyValues `[private]`

The documentation for this class was generated from the following file:

- IGESAppli_PWBArtworkStackup.hxx